#### Previous topic

scipy.spatial.distance.russellrao

#### Next topic

scipy.spatial.distance.sokalsneath

# scipy.spatial.distance.sokalmichener

`scipy.spatial.distance.``sokalmichener`(u, v)

  Computes the Sokal-Michener dissimilarity between two boolean 1-D arrays.

  The Sokal-Michener dissimilarity between boolean 1-D arrays u and v, is defined as

  \[\frac{R} {S + R}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\), \(R = 2 * (c_{TF} + c_{FT})\) and \(S = c_{FF} + c_{TT}\).

  Parameters:

  u : (N,) array_like, bool

  > Input array.

  v : (N,) array_like, bool

  > Input array.

  Returns:

  sokalmichener : double

  > The Sokal-Michener dissimilarity between vectors u and v.